html {
	margin: 0;
	padding: 0;
	height: 100%;
}

body {
	font-family: 'Arial', serif;
	color: #444;
	text-align: left; 
	font-size:1em;	
	line-height:1.8em;
	margin: 0;
	padding: 0;
}


h1, h2, h3, h4 {
    font-family: 'Arial', serif;
}
 
 
h1 {
	font-size:1.6em;
	color: #006633;
}

h2{
	font-size:1.3em;
	color: #006633;
}

h3 {
    color: #006633;
}

#logo {
	float : right;
	max-width : 50%;
}

div #menu {
	margin-top : 1em;
	margin-left : 2em;
	display : inline-block;
	backdrop-filter: blur(20px);
	backdrop-filter : brightness(0.5);
	border-radius : 10px;
	padding-right : 1em;

}

td {
    padding-top: 10px;
    padding-bottom: 20px;
    padding-left: 5px;
    padding-right: 15px;
  }

#menu ul {
	padding-left : 1.2em;
}

#menu li {
	list-style:none;
}

a:link {color:	#c0dfee; text-decoration:none; 
	-moz-transition: 1s;
	-webkit-transition: 1s;
	-o-transition: 1s;
	overflow-wrap: break-word;
}

a:visited {
	color: #c0dfee;
	text-decoration:none;
}

a:hover {color:#333; text-decoration:none;
	-moz-transition: 1s;
	-webkit-transition: 1s;
	-o-transition: 1s;
}

a:visited:hover {
	color:#333;
	text-decoration:none;
}

#wrapper {
	background-color : white;
	width : 95%;
	margin-left : auto;
	margin-right : auto;
}


.banner {
	padding:0;
  	width:100%;
  	height:300px;
	margin:0;
	background-size: cover;
	margin-left : auto;
	margin-right : auto;
}

.container {
	display : flex;
	flex-direction: row;
	font-size : 0.9em;
	min-width : 100%;
	padding : 0;
}


.mainContent {
	min-width : 80%;
	padding : 1em;
}

.rightPanel {
    background-color: rgba(37,64,64, 0.05);
    padding : 1em;
    min-width : 20%;
    padding : 1em;
 }


.pageFooter {
	text-align : center;
}

.footer {
	text-align : center;
	background-color: #272B30;
	color : #777;
}

.footer a:link, footer a:visited {
	color:#777;
	text-decoration:none;
}

.footer a:hover {color:white;}
.footer a:visited:hover {color:white;}

.footer a[href ^= 'tel:'] {
    color: #777;
    text-decoration: none;
    font-weight : bold;
}

a[href ^= 'tel:'] {
    color: #333;
    text-decoration: none;
    font-weight : bold;
}


ol {
	line-spacing : 2em;
}

.warranty {
	background:linear-gradient(0deg,rgba(255,121,0,0.3),
	rgba(0,0,0,0.7)),url(/images/cogs-back.jpg);
	background-size:cover;
	color:snow;
	overflow:hidden;
	position: relative;
}

.warranty h2 {
	color : white;
}

/*ribbon*/
.corner-ribbon {
  width: 250px;
  background-color:silver;
  position: absolute;
  top: 25px;
  right:0;
  text-align: center;
  line-height: 50px;
  letter-spacing: 1px;
  color: #000;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  overflow: hidden;
}

.corner-ribbon.top-right {
  top:30px;
  right: -70px;
  left: auto;
  transform: rotate(45deg);
  -webkit-transform: rotate(46deg);
  overflow: hidden;
}

.corner-ribbon.blue {
  background-color:silver;
}

#badges {
	width : 100%;
	background-color : #eee;
	margin-left : auto;
	margin-right : auto
}

.carbadge {
	max-width : 375px;
	max-height : 203px;
	margin : 2em;
	margin : 1em;
}


@keyframes logoRotate {
  50%   {transform: rotate(0);}
  100% {transform: rotate(360deg);}
}


.cookieWarn {
	height : 4vh;
	background-color : gray;
	text-align : center;
	color : white;
}

.gdprCookie {
	border-radius : 5px;
	border : 2px solid black;
	color : white;
        background-image: radial-gradient(
        center bottom, 
        ellipse farthest-side, 
        rgb(180, 180, 180) 80%, 
        rgba(180, 180, 180, 0) 100%)
}

div.polaroid {
  width: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

div.container {
  padding: 10px;
}

div.pageimage {
  max-width : 100%;
  margin : 1em;
  padding: 10px;
  float: right;
  display : block;
}


.gallery {
    margin: 0 auto;
    max-width : 100%;
}

.gallery-container {
    display: flex;
    flex-wrap: wrap;
    flex-direction : row;
    justify-content: center;	
}



.gallery-item {
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	text-align : center;
}

.gallery-item p {
	margin : 1vw;
}

.gallery-container a:link {
	color:	black;
	text-decoration:none; 
	-moz-transition: none;
	-webkit-transition: none;
	-o-transition: none;
	overflow-wrap: break-word;
}

.gallery-container a:visited {
	color: black;
	text-decoration:none;
}

.gallery-container  a:hover {
	color:black;
	text-decoration:none;
	-moz-transition: none;
	-webkit-transition: none;
	-o-transition: none;
}

.gallery-container a:visited:hover {
	color:black;
	text-decoration:none;
}


.gallery img {
    margin: 1vw;
    margin-left : auto;
    margin-right : auto;
    border: 2px solid #ddd;
    border-radius: 4px;
    width: 20vw;
    object-fit: cover;
    transition: transform 0.2s;
}


.gallery-links img {
	width : 13vw;
}


div.sidemenu ul {
	padding-left : 1.9em;
    line-height: 150%;
}


.lb-outerContainer {
    width: 90vw !important;
    height: auto !important;
    max-width: 90vw !important;
    max-height: 90vh !important;
}

.lb-container {
    width: 100% !important;
    height: auto !important;
}

.lb-image {
    width: 90vw !important;
    height: auto !important;
    max-height: 90vh !important;
}


@media only screen and (max-width: 600px) {
	.mainContent {
		min-width : 100%;
		padding : 1em;
	}
	
	.rightPanel {
		 display : none;
	}
		
	.gallery-item {
		margin-bottom : 1vh
	}
	
	.gallery img {
	    margin: 1vw;
	    border: 2px solid #ddd;
	    border-radius: 4px;
	    width: 90vw;
	    object-fit: cover;
	    transition: transform 0.2s;
	}	
	
}

